package com.aucma.report.domain;

import com.aucma.common.annotation.Excel;
import com.aucma.common.core.domain.BaseEntity;
import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * 降级/报废品占比报表
 *
 * @author Yinq
 * @date 2024-03-15
 */
public class AdverseRecordYearOnYearReport extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 产线编号
     */
    @Excel(name = "产线编号")
    @JsonProperty("PRODUCT_LINE_CODE")
    private String PRODUCT_LINE_CODE;

    /**
     * 产线名称
     */
    @Excel(name = "产线名称")
    @JsonProperty("PRODUCT_LINE_NAME")
    private String PRODUCT_LINE_NAME;

    /**
     * 工序编号
     */
    @Excel(name = "工序编号")
    @JsonProperty("PROCESS_CODE")
    private String PROCESS_CODE;

    /**
     * 工序名称
     */
    @Excel(name = "工序名称")
    @JsonProperty("PROCESS_NAME")
    private String PROCESS_NAME;

    /**
     * 月份
     */
    @Excel(name = "月份")
    @JsonProperty("INSPECTOR_MONTH")
    private String INSPECTOR_MONTH;

    /**
     * 异常数
     */
    @Excel(name = "异常数")
    @JsonProperty("QUALITY_SUM")
    private Long QUALITY_SUM;

    /**
     * 产量
     */
    @Excel(name = "产量")
    @JsonProperty("OFF_LINE_NUM")
    private Long OFF_LINE_NUM;

    /**
     * 异常率
     */
    @Excel(name = "异常率")
    @JsonProperty("REPAIR_RATE")
    private String REPAIR_RATE;


    public String getPRODUCT_LINE_CODE() {
        return PRODUCT_LINE_CODE;
    }

    public void setPRODUCT_LINE_CODE(String PRODUCT_LINE_CODE) {
        this.PRODUCT_LINE_CODE = PRODUCT_LINE_CODE;
    }

    public String getPRODUCT_LINE_NAME() {
        return PRODUCT_LINE_NAME;
    }

    public void setPRODUCT_LINE_NAME(String PRODUCT_LINE_NAME) {
        this.PRODUCT_LINE_NAME = PRODUCT_LINE_NAME;
    }

    public String getPROCESS_CODE() {
        return PROCESS_CODE;
    }

    public void setPROCESS_CODE(String PROCESS_CODE) {
        this.PROCESS_CODE = PROCESS_CODE;
    }

    public String getPROCESS_NAME() {
        return PROCESS_NAME;
    }

    public void setPROCESS_NAME(String PROCESS_NAME) {
        this.PROCESS_NAME = PROCESS_NAME;
    }

    public String getINSPECTOR_MONTH() {
        return INSPECTOR_MONTH;
    }

    public void setINSPECTOR_MONTH(String INSPECTOR_MONTH) {
        this.INSPECTOR_MONTH = INSPECTOR_MONTH;
    }

    public Long getQUALITY_SUM() {
        return QUALITY_SUM;
    }

    public void setQUALITY_SUM(Long QUALITY_SUM) {
        this.QUALITY_SUM = QUALITY_SUM;
    }

    public Long getOFF_LINE_NUM() {
        return OFF_LINE_NUM;
    }

    public void setOFF_LINE_NUM(Long OFF_LINE_NUM) {
        this.OFF_LINE_NUM = OFF_LINE_NUM;
    }

    public String getREPAIR_RATE() {
        return REPAIR_RATE;
    }

    public void setREPAIR_RATE(String REPAIR_RATE) {
        this.REPAIR_RATE = REPAIR_RATE;
    }

}
